Skip to content

Update Device

Request

Triggers the device to check in and enforce all assigned policies, profiles, and pending updates.

Operation ID: endpointmanagement_update_device

Security
BearerAuth
Query
metaArray of strings

Add metadata to the response by invoking meta functions. Documentation for meta functions is available. Not all meta functions are available at every endpoint.

Bodyapplication/jsonrequired
device_idstringrequired

Target device ID.

commentstring or null

Optional comment or reason for the action.

paramsobject or null

Action-specific parameters forwarded to the provider.

curl
curl -i -X POST \
  https://api.synqly.com/v1/endpoint-management/devices/actions/update \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "device_id": "string"
  }'

Responses

Bodyapplication/json
messagesobject or null(MessagesResponse)

Additional messages from the service response that may be helpful to the client.

metaobject or null(MetaResponse)

Various metadata about the results organized by group, then type, then field.

resultstring or null

Device ID that was acted on.

Response
{ "result": "string", "messages": { "problems": [ … ] }, "meta": { "stats": { … }, "api": { … }, "mapping": { … } } }